# Gimp.Path.new

    function new(image: Gimp.Image, name: String): Gimp.Path {
        // Gjs wrapper for gimp_path_new()
    }

Creates a new empty path object.

Creates a new empty path object. The path object needs to be added to the image using Gimp.Image.prototype.insert_path.

Since 2.4

image

  The image.

name

  the name of the new path object.

Returns

  the current path object, 0 if no path exists in the image.